> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Person



## OpenAPI

````yaml api-reference/openapi-account.json GET /person/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /person/{id}:
    get:
      tags:
        - Person
      summary: Fetch a Person
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_ids:
                      - acct_1029384756
                    address:
                      city: San Francisco
                      postal_code: '94104'
                      state: CA
                      street_line_1: 1 Market St
                      street_line_2: Suite 42
                    email: george@gmail.com
                    first_name: George
                    id: owner_9876543210
                    last_name: Washington
                    middle_name: null
                    phone_number: '4154845555'
                    suffix: null
                    tin_last4: '3192'
              schema:
                properties:
                  account_ids:
                    description: Account IDs associated with the Person
                    items:
                      type: string
                    type: array
                  address:
                    deprecated: true
                    description: Address associated with the Person
                    properties:
                      city:
                        description: City
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  bankdata:
                    description: Optional bank data associated with the person
                    type: object
                  email:
                    description: Email address
                    type: string
                  first_name:
                    description: Given name of person
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  last_name:
                    description: Family name of person
                    type: string
                  mailing_address:
                    description: >-
                      The address where the person can receive mail. This is
                      where physical cards will be sent when issued. If this
                      field is `null`, `physical_address` will be used instead.
                    properties:
                      city:
                        description: City
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  middle_name:
                    description: Middle name of person
                    type: string
                  phone_number:
                    description: >-
                      The person's phone number. When necessary, this number
                      will be used for calls or texts related to card
                      activation.
                    type: string
                  physical_address:
                    description: The address of person's physical location
                    properties:
                      city:
                        description: City
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  suffix:
                    description: >-
                      The person's suffix (e.g. 'Jr.', 'Sr.', 'III'), if
                      applicable
                    type: string
                  tin_last4:
                    description: Last 4 digits of the person's tax ID (SSN), if available
                    type: string
                  userdata:
                    description: Optional user data associated with the person
                    type: object
          description: The person
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````